Page MenuHomePhabricator

Too many requests to load very simple main page
Closed, ResolvedPublic

Description

Hello, my wiki is very simple but it takes 59 requests to load the main page. I believe I did most of the optimizations. Main English Wikipedia is 37 requests, to compare. Any clues where to check?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 4 2020, 5:14 PM
Restricted Application added a project: Performance-Team. · View Herald TranscriptMay 4 2020, 5:17 PM
Krinkle added a subscriber: Krinkle.May 4 2020, 5:19 PM

When you open the page in a browser and then check the Developer Tools' Network panel, I see many separate load.php requests. One for each module.

Looking at the value of mw.loader.maxQueryLength I see this is set to -1. Be sure to remove any setting related to that from LocalSettings.php. https://www.mediawiki.org/wiki/Manual:$wgResourceLoaderMaxQueryLength

Now just 12 requests! You guys are awesome!!

Sergiidumyk closed this task as Resolved.May 4 2020, 6:01 PM
Sergiidumyk claimed this task.

Change 594296 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] resourceloader: Let wgResourceLoaderMaxQueryLength=-1 fallback to default

https://gerrit.wikimedia.org/r/594296

Aklapper reopened this task as Open.May 4 2020, 10:59 PM
Aklapper removed Sergiidumyk as the assignee of this task.

Reopening as a patch by @Krinkle is pending.

So is there any more improvements I can get after the patch? Or is the patch just about enforcing what I had to fix?

Reedy added a subscriber: Reedy.May 5 2020, 11:04 PM

So is there any more improvements I can get after the patch? Or is the patch just about enforcing what I had to fix?

It's trying to prevent this error happening for other people by treating -1 (which the MW installer was setting at some point) as 0, but infact, a sensible value

The patch won't make any further difference to your wiki

Change 594296 merged by jenkins-bot:
[mediawiki/core@master] resourceloader: Let wgResourceLoaderMaxQueryLength=-1 fallback to default

https://gerrit.wikimedia.org/r/594296

Gilles assigned this task to Krinkle.May 12 2020, 7:26 AM
Gilles added a subscriber: Gilles.

Is there anything left to do on this task, now that this patch has been merged?

Gilles moved this task from Inbox to Doing on the Performance-Team board.May 12 2020, 7:26 AM
Reedy added a comment.May 12 2020, 9:11 AM

Probably just backporting?

Change 595992 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@REL1_34] resourceloader: Let wgResourceLoaderMaxQueryLength=-1 fallback to default

https://gerrit.wikimedia.org/r/595992

Krinkle triaged this task as Low priority.May 12 2020, 5:20 PM

Change 595992 merged by jenkins-bot:
[mediawiki/core@REL1_34] resourceloader: Let wgResourceLoaderMaxQueryLength=-1 fallback to default

https://gerrit.wikimedia.org/r/595992

Krinkle closed this task as Resolved.May 12 2020, 5:56 PM